Bug 1697298 - [Kubevirt-Foreman] multiple PVCs can be selected with bootable option even when containerDisk was selected
Summary: [Kubevirt-Foreman] multiple PVCs can be selected with bootable option even wh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - CNV
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Shira Maximov
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-08 10:15 UTC by Vatsal Parekh
Modified: 2019-10-22 19:51 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_kubevirt-0.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:51:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 26658 0 None None None 2019-04-23 09:11:22 UTC

Description Vatsal Parekh 2019-04-08 10:15:32 UTC
Description of problem:
When creating a host with containerDisk Image, able to select Multiple PVC with option of `Bootable`. After selecting multiple disks with this, submitting request shows a error that the host already exists.

Version-Release number of selected component (if applicable):
plugin master

How reproducible:


Steps to Reproduce:
1.Select multiple PVCs with Bootable option 
2.
3.

Actual results:
First, multiple PVCs can be selected as bootable when none should be able to selected when provisioning with containerDisk
Second, the error shown when submitting this request is wrong exception

Expected results:
Should not let you select bootable pvc with containerDisk, and not multiple PVCs as bootable in general
Also, should throw proper error

Additional info:

Comment 3 Moti Asayag 2019-04-10 04:19:15 UTC
Please attach production.log with the exception to this bug.

Comment 4 Vatsal Parekh 2019-04-12 06:53:19 UTC
Tested this again on latest gems, not seeing the exception now but still can create multiple PVCs with bootable option, even when containerDisk based Image was selected, changing the title for that specific issue

Comment 5 Shira Maximov 2019-04-23 09:11:21 UTC
Created redmine issue https://projects.theforeman.org/issues/26658 from this bug

Comment 8 Bryan Kearney 2019-10-22 19:51:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.